########################################################################################################################
# Copyright 2023 the authors (see AUTHORS file for full list).                                                         #
#                                                                                                                      #
# This file is part of shapelets.                                                                                      #
#                                                                                                                      #
# Shapelets is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General       #
# Public License as published by the Free Software Foundation, either version 2.1 of the License, or (at your option)  #
# any later version.                                                                                                   #
#                                                                                                                      #
# Shapelets is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied      #
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more  #
# details.                                                                                                             #
#                                                                                                                      #
# You should have received a copy of the GNU Lesser General Public License along with shapelets. If not, see           #
# <https://www.gnu.org/licenses/>.                                                                                     #
########################################################################################################################

r"""

# Installation Guide

shapelets is available on Windows, macOS, and debian-based Linux distributions. See below for OS-specific instructions.

## Windows

1. Download Python 3.10 from the [official website](https://www.python.org/) or from the Microsoft Store
2. Open Command Prompt, and install the shapelets library via: `pip install shapelets`
3. Optionally, after successful installation, you can verify the integrity of the shapelets library via: `shapelets-test`

## macOS

Please ensure your macOS is at least macOS 12 Monterey (released 2021).

1. Install [Homebrew](https://brew.sh/) by copy and pasting the link on their [homepage](https://brew.sh/) into your terminal
2. Install Python 3.10 and pip via: `brew install python@3.10` (automatically installs pip) 
3. Install the shapelets library via `pip3.10 install shapelets`
4. Optionally, after successful installation, you can verify the integrity of the shapelets library via: `shapelets-test`

## Linux

1. For debian based distributions (i.e. Ubuntu), update your system via: `sudo apt-get update`
2. Install Python 3.10 and pip via: `sudo apt-get install python3.10 python3-pip`
3. Install the shapelets library via: `pip install shapelets`
4. Optionally, after successful installation, you can verify the integrity of the shapelets library via: `shapelets-test`

"""
